Connected-uk.com - The No Fuss WordPress Agency

Browser support changes

From January 1st 2012 Connected will no longer support or test browser compatibility on the following supported browsers; Internet Explorer 7, Firefox 3.5 and Safari 3. Ongoing efforts by the major browser providers has seen the population of those old browsers decline sharply in the last year. These older browsers greatly restrict functionality, specifically HTML5, and compromise security.

If you have any questions about supporting older browsers in the future then please contact Andy Holland.

All the major software players have been cutting down on old browser support and we are joining them in an attempt to rid the world of crappy old and insecure browsers.